DNSREPLAY(8)

NAME
dnsreplay - A PowerDNS nameserver debugging tool

SYNOPSIS
dnsreplay [options] filename ip-address [port]

DESCRIPTION
This program takes recorded questions and answers and replays them to a specified nameserver and reporting afterwards which percentage of answers matched, were worse or better.

filename is expected to be an PCAP file. The queries are send to the DNS server specified as ip-address and [port]. ip-address is mandatory. If [port] is omitted, 53 will be used. dnsreplay compares the answers and some other metrics with the actual ones with those found in the dumpfile.

By default it only replay queries with recursion-desired flag set.

OPTIONS

--help | -h
    Show summary of options.

--packet-limit num
    Stop after replaying num packets. Default for num is 0, which means no limit.

--quiet flag
    If flag is set to 1. dnsreplay will not be very noisy with its output. This is the default.

--recursive flag
    If flag is set to 1. dnsreplay will only replay queries with recursion desired flag set. This is the default.

--speedup factor
    Replay queries with this speedup factor. Default is 1.

--timeout-msec time
    Wait at least this many milliseconds for a reply. Default is 500.

BUGS
dnsreplay has no certain handling for timeouts. It handles around at most 65536 outstanding answers.

SEE ALSO
pcap(3PCAP), tcpdump(8), dnswascher(8)

AUTHORS
This manpage was written by Joerg Jungermann (jj+debian At borkum.net) for the Debian Project and the PowerDNS versatile DNS server.